
From: Marc-Christian Petersen <m.c.p@kernel.linux-systeme.com>

Solar Designer discovered an information leak in the ext3 code of Linux. 
In a worst case an attacker could read sensitive data such as cryptographic
keys which would otherwise never hit disk media.  Theodore Ts'o developed a
correction for this.


---

 25-akpm/fs/jbd/journal.c |    1 +
 1 files changed, 1 insertion(+)

diff -puN fs/jbd/journal.c~ext3-data-leak-fix fs/jbd/journal.c
--- 25/fs/jbd/journal.c~ext3-data-leak-fix	2004-04-14 22:41:56.495807296 -0700
+++ 25-akpm/fs/jbd/journal.c	2004-04-14 22:41:56.500806536 -0700
@@ -599,6 +599,7 @@ struct journal_head * journal_get_descri
 		return NULL;
 
 	bh = __getblk(journal->j_dev, blocknr, journal->j_blocksize);
+	memset(bh->b_data, 0, journal->j_blocksize);
 	bh->b_state |= (1 << BH_Dirty);
 	BUFFER_TRACE(bh, "return this buffer");
 	return journal_add_journal_head(bh);

_
